import urllib

import requests
from PySide2.QtCore import QObject


class HttpClientPkk(QObject):
    __base_url="https://nspd.gov.ru/api/geoportal/v2/search/geoportal?"
    __refer="https://nspd.gov.ru^"
    __headers = {
        'User-Agent': 'Mozilla/5.0',
        'Referer': 'https://example.com'
    }
    def __init__(self):
        super().__init__()
        self.__headers['Referer']=self.__refer
    def findObject(self,cad_number):
        url_request=self.__base_url+"thematicSearchId=1&query="+urllib.parse.quote(cad_number)
        responce=None
        try:
            #responce=response=requests.get(url_request,headers=self.__headers,timeout=3,verify=False)
            responce =  requests.get(url_request, headers=self.__headers, timeout=3, verify=False)
        except Exception as ex:
            jkl=0
        return responce
cad_number="66:36:0103012:16"
cls_http=HttpClientPkk()
responce=cls_http.findObject(cad_number)
if responce.ok:
    data_json=responce.json()
    jkl=0
jkl=0